Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 664396 - dev-dotnet/gtk-sharp-2.12.21 broken scripts because of wrong libdir on 17.1
Summary: dev-dotnet/gtk-sharp-2.12.21 broken scripts because of wrong libdir on 17.1
Status: RESOLVED DUPLICATE of bug 645786
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-24 01:02 UTC by Rafael Kitover
Modified: 2020-02-21 23:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Kitover 2018-08-24 01:02:25 UTC
Scripts such as /usr/bin/gapi2-fixup point to binaries in /usr/lib/gtk-sharp-2.0 which on 17.1 is /usr/lib64/gtk-sharp-2.0, so the scripts fail to execute.

I used the patch in:

https://bugs.gentoo.org/659422

to get it to even build.
Comment 1 Jack 2019-06-08 21:10:56 UTC
2.12.45 builds fine, but still has the scripts pointing to /lib instead of /lib64.  It looks like at least gapi-fixup, gapi-codegen, and gapi2-parser are affected.  I have no idea if any of the slot 3 versions are affected in the same way.
Comment 2 Jack 2019-06-08 21:16:06 UTC
This should also block bug 506276.
Comment 3 Mike Auty gentoo-dev 2020-02-21 23:21:29 UTC

*** This bug has been marked as a duplicate of bug 645786 ***